## net.sf.saxon.om
Class NodeListIterator

    java.lang.Object
      net.sf.saxon.om.ListIterator
          net.sf.saxon.om.NodeListIterator

All Implemented Interfaces:
  LastPositionFinder, AxisIterator, GroundedIterator, LookaheadIterator, SequenceIterator, UnfailingIterator

    public class NodeListIterator

extends ListIterator
implements AxisIterator

Specialization of ListIterator for use when the items in the list are all nodes

Field Summary

Fields inherited from interface net.sf.saxon.om.SequenceIterator
`GROUNDED, LAST_POSITION_FINDER, LOOKAHEAD`

Constructor Summary
`NodeListIterator(java.util.List list)` Create a NodeListIterator.

Method Summary
`Value` `atomize()` Return the atomized value of the current node.
`java.lang.CharSequence` `getStringValue()` Return the string value of the current node.
`AxisIterator` `iterateAxis(byte axis, NodeTest test)` Return an iterator over an axis, starting at the current node.
`boolean` `moveNext()` Move to the next node, without returning it.

Methods inherited from class net.sf.saxon.om.ListIterator
`close, current, getAnother, getLastPosition, getProperties, hasNext, materialize, next, position`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.saxon.om.UnfailingIterator
`current, getAnother, next, position`

Methods inherited from interface net.sf.saxon.om.SequenceIterator
`close, getProperties`

Constructor Detail

### NodeListIterator

    public NodeListIterator(java.util.List list)

  Create a NodeListIterator.

  Parameters:
    `list` - the list, all of whose members must be instances of NodeInfo (this is not checked)

Method Detail

### moveNext

    public boolean moveNext()

  Move to the next node, without returning it. Returns true if there is a next node, false if the end of the sequence has been reached. After calling this method, the current node may be retrieved using the current() function.

  Specified by:
    `moveNext` in interface `AxisIterator`

### iterateAxis

    public AxisIterator iterateAxis(byte axis,
                                    NodeTest test)

  Return an iterator over an axis, starting at the current node.

  Specified by:
    `iterateAxis` in interface `AxisIterator`
  Parameters:
    `axis` - the axis to iterate over, using a constant such as `Axis.CHILD`
    `test` - a predicate to apply to the nodes before returning them.
  Throws:
    `java.lang.NullPointerException` - if there is no current node

### atomize

    public Value atomize()
                  throws XPathException

  Return the atomized value of the current node.

  Specified by:
    `atomize` in interface `AxisIterator`
  Returns:
    the atomized value.
  Throws:
    `java.lang.NullPointerException` - if there is no current node
    `XPathException`

### getStringValue

    public java.lang.CharSequence getStringValue()

  Return the string value of the current node.

  Specified by:
    `getStringValue` in interface `AxisIterator`
  Returns:
    the string value, as an instance of CharSequence.
  Throws:
    `java.lang.NullPointerException` - if there is no current node

Copyright (c) Saxonica Limited. All rights reserved.